%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# Define Variables that must exist
%{?!rhel:%define rhel 5}

%if 0%{?rhel} == 5
%define dist .el5
%endif
%if 0%{?rhel} == 6
%define dist .el6
%endif


Summary: Xen is a virtual machine monitor
Name:    xen
Version: 4.1.4
Release: 1%{?dist}%{?extra_release}
Group:   Development/Libraries
License: GPL
URL:     http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
Source0: %{name}-%{version}.tar.gz
Source1: xen.sysconfig
Source2: xen.logrotate
Source3: ipxe-git-v1.0.0_patched.tar.gz

Patch1: %{name}-%{version}-initscripts.patch
Patch2: %{name}-%{version}-hotplug-locking-rhel.patch
Patch3: %{name}-%{version}-config.patch
Patch4: %{name}-%{version}-network-bridge.patch
Patch5: %{name}-%{version}-cpufreq.patch
Patch6: %{name}-%{version}-libext2fs-ext4.patch
Patch7: %{name}-%{version}-pygrub-fix.patch
Patch8: %{name}-%{version}-xendomains-shutdown-fix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc transfig libidn-devel zlib-devel texi2html SDL-devel curl-devel
BuildRequires: libX11-devel python-devel ghostscript tetex-latex 
BuildRequires: ncurses-devel gtk2-devel libaio-devel iasl e2fsprogs-devel
%if 0%{?rhel} == 5
Requires: e4fsprogs-devel
%endif
# for the docs 
BuildRequires: perl 
# so that the makefile knows to install udev rules
BuildRequires: udev 
# so that x86_64 builds pick up glibc32 correctly
BuildRequires: /usr/include/gnu/stubs-32.h
# for the VMX "bios" 
BuildRequires: dev86
BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: openssl-devel
BuildRequires: bzip2-devel xz-devel
BuildRequires: wget texinfo

Requires: logrotate
Requires: bridge-utils
Requires: PyXML
Requires: udev >= 059
Requires: python-virtinst
Requires: python-lxml
Requires: e2fsprogs-libs
%if 0%{?rhel} == 5
BuildRequires: e2fsprogs-devel
Requires: e4fsprogs-libs
%endif
%if 0%{?rhel} == 6
BuildRequires: libuuid-devel
%endif
Requires: xen-libs = %{version}-%{release}
# Not strictly a dependency, but kpartx is by far the most useful tool right
# now for accessing domU data from within a dom0 so bring it in when the user
# installs xen.
Requires: kpartx
Requires: chkconfig
ExclusiveArch: i386 x86_64
# For -r arg to losetup (rhbz 237659)
Requires: util-linux >= 2.13-0.45.el5

# Ensure we at least have a suitable kernel installed, though we can't
# force user to actually boot it.
Requires: xen-hypervisor-abi = 3.1

%description
This package contains the Xen tools and management daemons needed 
to run virtual machines on x86 and x86_64 systems. 
Information on how to use Xen can be found at the Xen project pages.

The Xen system also requires the Xen hypervisor and domain-0 
kernel, which can be found in the kernel-xen* package.

Virtualization can be used to run multiple operating systems on one
physical system, for purposes of hardware consolidation, hardware
abstraction, or to test untrusted applications in a sandboxed 
environment.

%package libs
Summary: Libraries for Xen tools
Group: Development/Libraries
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description libs
This package contains the libraries needed to run applications to manage 
Xen virtual machines.

%package devel
Summary: Development libraries for Xen tools
Group: Development/Libraries
Requires: xen-libs = %{version}-%{release}

%description devel
This package contains what's needed to develop applications to manage Xen
virtual machines. 

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .init
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

cp %{SOURCE3} tools/firmware/etherboot/ipxe.tar.gz

%{__make} XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=y xen tools stubdom docs

# build lomount
cd tools/misc/lomount
%{__make}

%install
rm -rf %{buildroot}
make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=y DESTDIR=%{buildroot} prefix=/usr install-xen install-tools install-stubdom install-docs

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/domain
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/vnet
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/migrate
mkdir -p %{buildroot}%{_localstatedir}/lib/xenstored
mkdir -p %{buildroot}%{_localstatedir}/run/xenstored

rm -rf %{buildroot}%{_sysconfdir}/hotplug
rm -rf %{buildroot}/usr/x86_64-xen-elf
rm -rf %{buildroot}/usr/i686-xen-elf

# install all of the public headers
mkdir -p %{buildroot}%{_includedir}/xen/io %{buildroot}%{_includedir}/xen/hvm
mkdir -p %{buildroot}%{_includedir}/xen/arch-x86/hvm
mkdir -p %{buildroot}%{_includedir}/xen/xsm
install -m 644 xen/include/public/io/*.h %{buildroot}%{_includedir}/xen/io
install -m 644 xen/include/public/hvm/*.h %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/arch-x86/*.h %{buildroot}%{_includedir}/xen/arch-x86
install -m 644 xen/include/public/arch-x86/hvm/*.h %{buildroot}%{_includedir}/xen/arch-x86/hvm
install -m 644 xen/include/public/xsm/*.h %{buildroot}%{_includedir}/xen/xsm
install -m 644 xen/include/public/*.h %{buildroot}%{_includedir}/xen/
install -m 644 xen/include/public/COPYING %{buildroot}%{_includedir}/xen/

### fixing start-script dir
mkdir -p %{buildroot}/etc/rc.d
#mv -f %{buildroot}/etc/init.d %{buildroot}/etc/rc.d/
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}/etc/logrotate.d
cp %{SOURCE1} %{buildroot}/etc/sysconfig/xend
cp %{SOURCE2} %{buildroot}/etc/logrotate.d/xen

# silly doc dir fun
rm -rf %{buildroot}/%{_datadir}/doc/xen/
rm -rf %{buildroot}%{_datadir}/doc/qemu

# create dirs in /var/run so that selinux contexts are right (#195952)
mkdir -p %{buildroot}/var/run/xend
mkdir -p %{buildroot}/var/log/xen
mkdir -p %{buildroot}/var/log/xen/console
mkdir -p %{buildroot}/var/lib/xen/images

# avoid conflicting with qemu (#199759)
rm -f %{buildroot}/%{_mandir}/man*/qemu*

# install the actual hypervisor
rm -rf %{buildroot}/boot/*
install -m 644 xen/xen.gz %{buildroot}/boot/xen.gz-%{version}
install -m 644 xen/xen-syms %{buildroot}/boot/xen-syms-%{version}

# install the lomount binary
install -m 755 tools/misc/lomount/lomount %{buildroot}%{_sbindir}/lomount

for file in bios.bin openbios-sparc32 openbios-sparc64 ppc_rom.bin \
         pxe-e1000.bin pxe-ne2k_pci.bin pxe-pcnet.bin pxe-rtl8139.bin \
         vgabios.bin vgabios-cirrus.bin video.x openbios-ppc bamboo.dtb
do
        rm -f %{buildroot}/%{_datadir}/xen/qemu/$file
done

%ifarch x86_64
mkdir -p %{buildroot}/usr/lib64/xen/bin
mv %{buildroot}/usr/lib/xen/bin/qemu-dm %{buildroot}/usr/lib64/xen/bin/qemu-dm
%endif

%post
/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains
/sbin/chkconfig --add xencommons

for XENKVER in $(/bin/grep el5xen /boot/grub/menu.lst | /bin/grep vmlinuz | /bin/sed 's/.*\/vmlinuz-\(.*el5xen\).*/\1/'); do
  /sbin/new-kernel-pkg --package kernel-xen --mkinitrd --depmod --install --multiboot=/boot/xen.gz-%{version} $XENKVER || exit $?
done

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
  /sbin/chkconfig --del xencommons
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%doc docs/pdf/
%doc docs/misc/
%{_sbindir}/*
%{_bindir}/*
%{python_sitearch}/%{name}
%{python_sitearch}/fsimage.so
%{python_sitearch}/grub
%{python_sitearch}/*info
%{_libdir}/%{name}
%{_mandir}/man?/*.?.gz
%dir /usr/lib/xen
/usr/lib/xen/bin/stubdom-dm
/usr/lib/xen/boot/hvmloader
/usr/lib/xen/boot/ioemu-stubdom.gz
/usr/lib/xen/boot/pv-grub-x86_32.gz
/usr/lib/xen/boot/pv-grub-x86_64.gz
%ifarch i386 
/usr/lib/xen/bin/qemu-dm
%endif
/usr/lib/xen/bin/stubdompath.sh

%dir %{_datadir}/%{name}/qemu
%{_datadir}/%{name}/qemu/keymaps/*
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/xend
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/bash_completion.d/xl.sh
%{_sysconfdir}/udev/rules.d/*
%dir %attr(0700,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/xendomains
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/xencommons
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/xen
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
%dir %{_localstatedir}/run/xend
%dir %attr(0700,root,root) /var/log/xen
%dir %attr(0700,root,root) /var/log/xen/console
/boot/xen.gz-%{version}
/boot/xen-syms-%{version}
/usr/share/xen/man/man1/qemu-img.1
/usr/share/xen/man/man1/qemu.1
/usr/share/xen/man/man8/qemu-nbd.8
#/usr/share/xen/qemu/bamboo.dtb
/usr/share/xen/create.dtd
#/usr/share/xen/qemu/openbios-ppc
#/usr/share/xen/qemu/pxe-*.bin

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/fs/*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/xen
%{_includedir}/xen/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Tue Jan 22 2013 Nuno Fernandes <npf@eurotux.com> - 4.1.4-1
- Rebase to 4.1.4. Remove cpufreq and libext2fs-ext4 and previous xsa.
  Centos5 buildrequires e2fsprogs-devel and centos6 buildrequires libuuid-devel

* Wed Sep 05 2012 Nuno Fernandes <npf@eurotux.com> - 4.1.3-2
- Applied CVE-2012-3494/XSA-12 and CVE-2012-3495/XSA-13 and CVE-2012-3496/XSA-14 and
 CVE-2012-3498/XSA-16

* Wed Aug 22 2012 Nuno Fernandes <npf@eurotux.com> - 4.1.3-1.el5
- XEN 4.1.3,  built from 4.1.3 tree (http://www.xen.org) for RHEL5/CentOS5

* Mon Jun 25 2012 Sascha Guenther <sg@gitco.de> - 4.1.2-2.el5
- Applied CVE-2012-0217/CVE-2012-0218/CVE-2012-2934
  ( Thanks to Alexander V. Mitin <sasha@mitin.me> for SPEC preparation )

* Wed Nov 09 2011 Sascha Guenther <sg@gitco.de> - 4.1.2-1.el5
- XEN 4.1.2,  built from 4.1.2 tree (http://www.xen.org) for RHEL5/CentOS5

* Sun Sep 04 2011 Sascha Guenther <sg@gitco.de> - 4.1.1-2.el5
- Applied a patch from Vince Stratful which fix a problem to shut down running domains

* Sun Jun 19 2011 Sascha Guenther <sg@gitco.de> - 4.1.1-1.el5
- XEN 4.1.1,  built from 4.1.1 tree (http://www.xen.org) for RHEL5/CentOS5

* Mon May 09 2011 Sascha Guenther <sg@gitco.de> - 4.1.0-2.el5
- fixed missing dependency python-lxml

* Wed Mar 30 2011 Sascha Guenther <sg@gitco.de> - 4.1.0-1.el5
- XEN 4.1.0,  built from 4.1.0 tree (http://www.xen.org) for RHEL5/CentOS5

* Thu Jan 13 2011 Sascha Guenther <sg@gitco.de> - 4.0.1-5.el5
- Added grub2 partition syntax support

* Fri Nov 26 2010 Sascha Guenther <sg@gitco.de> - 4.0.1-4.el5
- some cleanups on the SPEC file

* Sun Sep 26 2010 Sascha Guenther <sg@gitco.de> - 4.0.1-3.el5
- fixed ext4 support

* Thu Sep 02 2010 Sascha Guenther <sg@gitco.de> - 4.0.1-1.el5
- XEN 4.0.1,  built from 4.0.1 tree (http://www.xen.org) for RHEL5/CentOS5

* Mon Jul 12 2010 Sascha Guenther <sg@gitco.de> - 4.0.0-4.el5
- added the Grub2 support for Ubuntu 10.04 patch from David Markey

* Wed May 2 2010 Sascha Guenther <sg@gitco.de> - 4.0.0-3.el5
- fixed the lib path of qemu-dm

* Wed May 1 2010 Sascha Guenther <sg@gitco.de> - 4.0.0-2.el5
- XEN 4.0.0,  built from 4.0.0 tree (http://www.xen.org) for RHEL5/CentOS5

* Wed Nov 11 2009 Sascha Guenther <sg@gitco.de> - 3.4.2-2.el5
- Add the cpufreq patch

* Wed Nov 11 2009 Sascha Guenther <sg@gitco.de> - 3.4.2-1.el5
- XEN 3.4.2,  built from 3.4.2 tree (http://www.xen.org) for RHEL5/CentOS5

* Mon Oct 26 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-7.el5
- Applied a patch from Thimo Eichstaedt, regarding cpufreq  

* Mon Oct 26 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-6.el5
- Added logrotate and changed initscripts, backported from the 
  CentOS5.3 XEN Package
  
* Sun Oct 25 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-5.el5
- lomount binary is now available   

* Mon Oct 19 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-4.el5
- Added some memory leak fixes.
  (Thanks to Juergen Gross and Keir Fraser)

* Tue Sep 08 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-3.el5
- Added some patches from the FC12 xen tree:
  add-bzip2-lzma-pv-bootloader-support-v2.patch
  fix-videoram-option.patch
  pygrub-fix-timeout-0.patch
  qemu-dm-fix-block-memory-leak.patch
  net-disable-iptables-on-bridge.patch

* Fri Aug 07 2009 Sascha Guenther <sg@gitco.de> - 3.4.1-1.el5
- XEN 3.4.1,  built from 3.4.1 tree (http://www.xen.org) for RHEL5/CentOS5

* Mon May 29 2009 Sascha Guenther <sg@gitco.de> - 3.4.0-2.el5
- Added patch to revert to changeset 19349 because of tapctrlread and tapctrlwrite problem 

* Mon May 25 2009 Sascha Guenther <sg@gitco.de> - 3.4.0-1.el5
- Added a workaround on network-bridge regarding the 10 Mbit/s problem on tg3 (1000 Mbit/s)
- Added the missing PyXML requirement, because of using "xm new <domu>"
- Some cleanups on the file

* Sat May 23 2009 Sascha Guenther <sascha@argc.de> - 3.4.0-0
- XEN 3.4.0,  built from 3.4.0 tree (http://www.xen.org) for CentOS 5.3

* Thu Jan 20 2009 Sascha Guenther <sascha@argc.de> - 3.3.1
- XEN 3.3.1,  built from 3.3.1 tree (http://www.xen.org) for CentOS 5.2

* Sat Nov 14 2008 Sascha Guenther <sascha@argc.de> - 3.3.1_rc1_pre
- XEN 3.3.1_rc1_pre, built from mercurial tree (http://www.xen.org) for CentOS 5.2

* Tue Sep 08 2008 Sascha Guenther <sascha@argc.de> - 3.3.0-4
- XEN 3.3.0, built from 3.3.0 tree (http://www.xen.org) for CentOS 5.2

* Thu Jul 17 2008 Sascha Guenther <sascha@argc.de> - 3.2.1-0xs.centos5.2
- XEN 3.2.1, built from 3.2.1 tree (http://www.xen.org) for CentOS 5.2

* Sun Feb  3 2008 Daniel P. Berrange <berrange redhat com> - 3.2.0-5.fc9
- Fix timer mode parameter handling for HVM
- Temporarily disable all Latex docs due to texlive problems (rhbz #431327)

* Fri Feb  1 2008 Daniel P. Berrange <berrange redhat com> - 3.2.0-4.fc9
- Add a xen-runtime subpackage to allow use of Xen without XenD
- Split init script out to one script per daemon

* Thu Jan 10 2008 Ian Jackson <Ian.Jackson@eu.citrix.com> - 3.2.0-0xs.centos5
- Xen 3.2, built from 3.2 tree and heavily modified Centos (RHEL) patches.

* Tue Sep 25 2007 Chris Lalancette <clalance@redhat.com> - 3.0.3-41.el5
- QEmu NE2000 overflow check - CVE-2007-1321 (rhbz #296281)
- Pygrub guest escape - CVE-2007-4993 (rhbz #302831)

* Fri Sep 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-40.el5
- Rewrite locking in hotplug scripts to fix timeouts (rhbz #267861)

* Tue Sep  4 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-39.el5
- Require xen-hypervisor-abi = 3.1 to pull in neccessary kernel (rhbz #267121)

* Fri Aug 31 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-38.el5
- Fixed memory ballooning for HVM restore (rhbz #253583)
- Avoid bogus VNC password prompts after migrate/restore (rhbz #252359)

* Mon Aug 27 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-37.el5
- Fix UUID normalization when no UUID is present (rhbz #253683)
- Fix handling of 'keymap' param in config files (rhbz #252361)
- Don't destroy guest after shutdown timeout (rhbz #236595)

* Thu Aug 16 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-36.el5
- Ensure PVFB daemon terminates promptly on domain shutdown (rhbz #252232)
- Fix rtl8139 checksums for VISTA (rhbz #251407)

* Thu Aug 16 2007 Hugh O. Brock <hbrock@redhat.com>
- Update package description to better reflect reality (rhbz #249719)

* Wed Aug  1 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-35.el5
- Fix more VNC threading problems (rhbz #245188)
- Fix save/restore edge case (rhbz #245960)
- Fix legacy PVFB for 32-on-64 (rhbz #248947)

* Thu Jul 19 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-34.el5
- Fixed booting guests with legacy native ABI device protocol (rhbz#248192)
- Fix more VNC keycode/keysym mappings issues (rhbz #248863)
- Fix potential QEMU crash when VNC client disconnects (rhbz #230083)
- Add NVRAM support for ia64 guests (rhbz #246006)
- Normalize UUID to avoid loosing guest name upon restarts (rhbz #249564)

* Mon Jul  9 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-33.el5
- fix ethernet bonding in balanced-rr mode (rhbz#215887)

* Mon Jul  9 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-32.el5
- Fix vncport type cast for HVM guests (rhbz#211208)
- Ignore failures in dump core (rhbz#246280)

* Thu Jun 28 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-31.el5
- Rate limit console messages from guest (rhbz 204504)
- Use -r flag to losetup for readonly block devices (rhbz 225166)
- Mark /etc/sysconfig/xend as a config file (rhbz 202636, rhbz 223911)

* Tue Jun 26 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-30.el5
- Fix address test in network-bridge (rhbz 237667)
- Permissions of xend-debug.log (rhbz 234227)
- Hotplug scripts error reporting (rhbz 233433)
- Disable network-bridge if running on Dom0 with nfs/iscsi root device (rhbz 238143)

* Fri Jun 15 2007 Markus Armbruster <armbru@redhat.com> - 3.0.3-29.el5
- Fix a race in the pvfb startup (rhbz 243884)
- Loadable pvfb keymap (rhbz 223799)
- Fix pvfb save/restore broken in 3.0.3-27.el5

* Fri Jun 15 2007 Daniel P. Berrange <berrange@redhat.com>
- Fixed 32-bit core dumps with HVM (rhbz 244300)
- Add persistent logging of guest & hypervisor console (rhbz 202636, rhbz 223911)
- Fix destroyDevice() args (rhbz 222094)
- Check file exists in blktap hotplug scripts (rhbz 215342)
- Make SXPR server in XenD multi-threaded (rhbz 210141)

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-28.el5
- Fixed xm man page about block device modes (rhbz#225490)

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-27.el5
- Update low level (non-XenD) userspace to work with 3.1.0 hypervisor (rhbz#243462,
  rhbz#234166, rhbz#230790)
- Patch XenD to use 'domid' instead of 'dom' with libxc
- Patch XenD to use new HVM domain creation process
- Remove unused i18n stuff from Makefile
- Fix pygrub, blktapctrl paths to return to original settings
- Back-port 3.1.0  HVM save/restore changes to XenD (rhbz#214995)
- Move HVM save/restore files from /tmp to /var/lib/xen (rhbz#214995)
- Ensure pvfb backend terminates when frontend vanishes early (rhbz#230634)
- Save vncpasswd in xenstore along with the other pvfb
  configuration (rhbz#220494)
- Fix allocation of fixed VNC ports for pvfb (rhbz#211208)
- Don't start a xen-vncfb process for HVM (rhbz#225413)

* Thu Mar  1 2007 Rik van Riel <riel@redhat.com> - 3.0.3-26.el5
- disable qemu monitor mode, for security reasons (rhbz#230295)
- fix IA64 shadow page table mode (rhbz#230459, rhbz#230331)

* Wed Feb  7 2007 Stephen Tweedie <sct@redhat.com> - 3.0.3-25.el5
- Update man pages to remove deficient sections (rhbz#225603)

* Mon Jan 29 2007 Rik van Riel <riel@redhat.com> - 3.0.3-23.el5
- enable shadow mode before memory reservation for HVM (rhbz#222467)

* Wed Jan 24 2007 Rik van Riel <riel@redhat.com> - 3.0.3-22.el5
- disable ipv6 autoconf on xenbr* devices (rhbz#216504)

* Tue Jan  9 2007 Rik van Riel <riel@redhat.com> - 3.0.3-21.el5
- make /var/log/xen only readable by root (rhbz#212082)
- we no longer package /var/xen/dump, so don't mkdir it

* Fri Jan  5 2007 Rik van Riel <riel@redhat.com> - 3.0.3-20.el5
- fix core dumps of 32 bit guests >2GB RAM (rhbz#215796)
- write the /local/domain/vm node early in the startup process (rhbz#215269)

* Thu Jan  4 2007 Rik van Riel <riel@redhat.com> - 3.0.3-19.el5
- fix memory boundary checking in qemu-dm (rhbz#221119)
- fix VNC JP106 keyboard handling (rhbz#215778)

* Mon Dec 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-18.el5
- add --force option to xenbus device detach code (rhbz#217853)
- fix keeping track of HVM vnc password (rhbz#218050)

* Sun Dec 17 2006 Rik van Riel <riel@redhat.com> - 3.0.3-17.el5
- enable DMA on HVM virtual cdrom drive (rhbz#218357)
- new paravirt framebuffer, as merged upstream (rhbz#218050)

* Thu Dec 14 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-16.el5
- more cosmetic pygrub fixing (rhbz#215316) 

* Tue Dec 12 2006 Rik van Riel <riel@redhat.com> - 3.0.3-15.el5
- make ballooning work right (rhbz#212069)

* Thu Dec  7 2006 Rik van Riel <riel@redhat.com> - 3.0.3-14.el5
- do not auto-start a domain that was restored from a save (rhbz#217295)
- use log level info for messages that are not errors (rhbz#218759)
- Resolves: rhbz#217295 rhbz#218759

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> - 3.0.3-13.el5
- Allows HTTP request to dump core of a domain (rhbz#214913)
- Related: rhbz#214913

* Tue Dec  5 2006 Rik van Riel <riel@redhat.com> - 3.0.3-12.el5
- catch it when an HVM guest tries to use hde (rhbz#217736)
- make "xm list" display how much memory a domain really has (rhbz#217443)
- move rtc timer for HVM guests into the hypervisor (rhbz#214780)
- Resolves: rhbz#214780 rhbz#217736 rhbz#217443

* Mon Dec  4 2006 Rik van Riel <riel@redhat.com> - 3.0.3-11.el5
- pass qemu and blktap I/O errors back to the guest
- Resolves: rhbz#217765 rhbz#217859

* Sun Dec  3 2006 Rik van Riel <riel@redhat.com> - 3.0.3-10.el5
- fix 2TB overflow/wraparound in blktap (rhbz#217580)
- various fixes from Herbert Xu's security audit
- allow HVM virtual floppy to be a device on dom0 (rhbz#216449)
- make uppercase characters always work in HVM console (rhbz#217554)
- Resolves: rhbz#217580 rhbz#216449 rhbz#217999 rhbz#218000 rhbz#218002 rhbz#218003 rhbz#218005 rhbz#217554

* Mon Nov 27 2006 Rik van Riel <riel@redhat.com> - 3.0.3-9.el5
- reapply the for bugs 211600, 212193 and 211697
- move the dump path to /var/lib/xen (bug 212558)
- Resolves: rhbz#211600 rhbz#212193 rhbz#211697 rhbz#212558

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-8.el5
- undo the fixes for bz 211600, 212193 and 211697, apply them after beta 2
- fix vmxassist segment loading on real->protected mode transition (bz 214004)

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-7.el5
- fix the uptime statistic for suspended/resumed guests (bz 211600)
- improve the error message when domU uses the wrong device (bz 212193)
- print the full path to the config file in error messages (bz 211697)

* Mon Oct 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-6.el5
- fix cosmetic issues in pygrub (#210479, #207242)

* Mon Oct 30 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-5.el5
- Added /var/lib/xen/images as default dir for storing guest disk image files
  to ensure correct selinux context (bz 212995)

* Thu Oct 26 2006 Rik van Riel <riel@redhat.com> - 3.0.3-4.el5
- make sure xend opens log files with O_APPEND (bz 212081)

* Mon Oct 23 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-3.el5
- Switch /etc/xen directory to be mode 0700 because the config files
  can contain plain text passwords (bz 209335)

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-2.el5
- Re-build with correct PV vncpassword patch

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-1.el5
- Pull in the official 3.0.3 tarball of xen (changeset 11774). No functional
  change, only release number toggled.
- Add patches for VNC password authentication (bz 209335)

* Wed Oct 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-0.3.rc5.el5
- Change the package dependency to python-virtinst to reflect the
  package name change.

* Mon Oct 16 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.3-0.2.rc5.el5
- Update to xen-3.0.3-testing-rc5+ changeset 11772 (bz 210014)

* Sat Oct  7 2006 Danel P. Berrange <berrange@redhat.com> - 3.0.2-45.el5
- Fix handling of bootloader with blktap based disk devices

* Wed Oct  4 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-44
- fix having "many" kernels in pygrub

* Wed Oct  4 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-43
- Fix SMBIOS tables for SVM guests [danpb] (bug 207501)

* Fri Sep 29 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-42
- Added vnclisten patches to make VNC only listen on localhost
  out of the box, configurable by 'vnclisten' parameter (bz 203196)

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-41
- Update to xen-3.0.3-testing changeset 11633

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-40
- Workaround blktap/xenstore startup race
- Add udev rules for xen blktap devices (srostedt)
- Add support for dynamic blktap device nodes (srostedt)
- Fixes for infinite dom0 cpu usage with blktap
- Fix xm not to die on malformed "tap:" blkif config string
- Enable blktap on kernels without epoll-for-aio support.
- Load the blktap module automatically at startup
- Reenable blktapctrl

* Wed Sep 27 2006 Daniel Berrange <berrange@redhat.com> - 3.0.2-39
- Disable paravirt framebuffer server side rendered cursor (bz 206313)
- Ignore SIGPIPE in paravirt framebuffer daemon to avoid terminating
  on client disconnects while writing data (bz 208025)

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-38
- Fix cursor in pygrub (#208041)

* Tue Sep 26 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-37
- Removed obsolete scary warnings in package description

* Thu Sep 21 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-36
- Add Requires: kpartx for dom0 access to domU data

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-35
- Don't strip qemu-dm early, so that we get proper debuginfo (danpb)
- Fix compile problem with latest glibc

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-34
- Update to xen-unstable changeset 11539
- Threading fixes for libVNCserver (danpb)

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-33
- update pvfb patch based on upstream feedback

* Tue Sep  5 2006 Juan Quintela <quintela@redhat.com> - 3.0.2-31
- re-enable ia64.

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-31
- update to changeset 11405

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-30
- fix pvfb for x86_64

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-29
- update libvncserver to hopefully fix problems with vnc clients disconnecting

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-28
- fix a typo

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-27
- add support for paravirt framebuffer

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-26
- update to xen-unstable cs 11251
- clean up patches some
- disable ia64 as it doesn't currently build 

* Tue Aug 22 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-25
- make initscript not spew on non-xen kernels (#202945)

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-24
- remove copy of xenguest-install from this package, require 
  python-xeninst (the new home of xenguest-install)

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-23
- add patch to fix rtl8139 in FV, switch it back to the default nic
- add necessary ia64 patches (#201040)
- build on ia64

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-22
- add patch to fix net devices for HVM guests 

* Fri Jul 28 2006 Rik van Riel <riel@redhat.com> - 3.0.2-21
- make sure disk IO from HVM guests actually hits disk (#198851)

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-20
- don't start blktapctrl for now
- fix HVM guest creation in xenguest-install
- make sure log files have the right SELinux label

* Tue Jul 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-19
- fix libblktap symlinks (#199820)
- make libxenstore executable (#197316)
- version libxenstore (markmc) 

* Fri Jul 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-18
- include /var/xen/dump in file list
- load blkbk, netbk and netloop when xend starts
- update to cs 10712
- avoid file conflicts with qemu (#199759)

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> - 3.0.2-17
- libxenstore is unversioned, so make xen-libs own it rather
  than xen-devel

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> 3.0.2-16
- Fix network-bridge error (#199414)

* Mon Jul 17 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-15
- desactivating the relocation server in xend conf by default and
  add a warning text about it.

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-14
- Compile fix: don't #include <linux/compiler.h>

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-13
- Update to xen-unstable cset 10675
- Remove internal libvncserver build, new qemu device model has its own one
  now.
- Change default FV NIC model from rtl8139 to ne2k_pci until the former works
  better

* Tue Jul 11 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-12
- bump libvirt requires to 0.1.2
- drop xend httpd localhost server and use the unix socket instead

* Mon Jul 10 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-11
- split into main packages + -libs and -devel subpackages for #198260
- add patch from jfautley to allow specifying other bridge for 
  xenguest-install (#198097)

* Mon Jul  3 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-10
- make xenguest-install work with relative paths to disk 
  images (markmc, #197518)

* Fri Jun 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-9
- own /var/run/xend for selinux (#196456, #195952)

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-8
- fix syntax error in xenguest-install

* Mon Jun 12 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-7
- more initscript patch to report status #184452

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-6
- Add BuildRequires: for gnu/stubs-32.h so that x86_64 builds pick up
  glibc32 correctly

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-5
- Rebase to xen-unstable cset 10278

* Fri May  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-4
- update to new snapshot (changeset 9925)

* Thu Apr 27 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-3
- xen.h now requires xen-compat.h, install it too

* Wed Apr 26 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-2
- -m64 patch isn't needed anymore either

* Tue Apr 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-1
- update to post 3.0.2 snapshot (changeset:   9744:1ad06bd6832d)
- stop applying patches that are upstreamed
- add patches for bootloader to run on all domain creations
- make xenguest-install create a persistent uuid
- use libvirt for domain creation in xenguest-install, slightly improve 
  error handling

* Tue Apr 18 2006 Daniel Veillard <veillard@redhat.com> - 3.0.1-5
- augment the close on exec patch with the fix for #188361

* Thu Mar  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-4
- add udev rule so that /dev/xen/evtchn gets created properly
- make pygrub not use /tmp for SELinux
- make xenguest-install actually unmount its nfs share.  also, don't use /tmp

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-3
- set /proc/xen/privcmd and /var/log/xend-debug.log as close on exec to avoid
  SELinux problems
- give better feedback on invalid urls (#184176)

* Mon Mar  6 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-2
- Use kva mmap to find the xenstore page (upstream xen-unstable cset 9130)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-1
- fix xenguest-install so that it uses phy: for block devices instead of 
  forcing them over loopback.  
- change package versioning to be a little more accurate

* Thu Mar  2 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.3
- Remove unneeded CFLAGS spec file hack

* Thu Mar  2 2006 Rik van Riel <riel@redhat.com> - 3.0.1-0.20060301.fc5.2
- fix 64 bit CFLAGS issue with vmxloader and hvmloader

* Wed Mar  1 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.1
- Update to xen-unstable cset 9022

* Tue Feb 28 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060228.fc5.1
- Update to xen-unstable cset 9015

* Thu Feb 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.3
- add patch to ensure we get a unique fifo for boot loader (#182328)
- don't try to read the whole disk if we can't find a partition table 
  with pygrub 
- fix restarting of domains (#179677)

* Thu Feb  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.2
- fix -h conflict for xenguest-isntall

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.1
- turn on http listener so you can do things with libvir as a user

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5
- update to current hg snapshot for HVM support
- update xenguest-install for hvm changes.  allow hvm on svm hardware
- fix a few little xenguest-install bugs

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.6
- add a hack to fix VMX guests with video to balloon enough (#180375)

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.5
- fix build for new udev

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.4
- patch from David Lutterkort to pass macaddr (-m) to xenguest-install
- rework xenguest-install a bit so that it can be used for creating 
  fully-virtualized guests as well as paravirt.  Run with --help for 
  more details (or follow the prompts)
- add more docs (noticed by Andrew Puch)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-0.20060130.fc5.3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.3
- disable iptables/ip6tables/arptables on bridging when bringing up a
  Xen bridge. If complicated filtering is needed that uses this, custom
  firewalls will be needed. (#177794)

* Tue Jan 31 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.2
- use the default network device, don't hardcode eth0

* Tue Jan 31 2006  <sct@redhat.com> - 3.0-0.20060130.fc5.1
- Add xenguest-install.py in /usr/sbin

* Mon Jan 30 2006  <sct@redhat.com> - 3.0-0.20060130.fc5
- Update to xen-unstable from 20060130 (cset 8705)

* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.5
- buildrequire dev86 so that vmx firmware gets built
- include a copy of libvncserver and build vmx device models against it 

* Tue Jan 24 2006 Bill Nottingham <notting@redhat.com> - 3.0-0.20060110.fc5.4
- only put the udev rules in one place

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.3
- move xsls to xenstore-ls to not conflict (#171863)

* Tue Jan 10 2006  <sct@redhat.com> - 3.0-0.20060110.fc5.1
- Update to xen-unstable from 20060110 (cset 8526)

* Thu Dec 22 2005 Jesse Keating <jkeating@redhat.com> - 3.0-0.20051206.fc5.2
- rebuilt

* Tue Dec  6 2005 Juan Quintela <quintela@trasno.org> - 3.0-0.20051206.fc5.1
- 20051206 version (should be 3.0.0).
- Remove xen-bootloader fixes (integrated upstream).

* Wed Nov 30 2005 Daniel Veillard <veillard@redhat.com> - 3.0-0.20051109.fc5.4
- adding missing headers for libxenctrl and libxenstore
- use libX11-devel build require instead of xorg-x11-devel

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.3
- change default dom0 min-mem to 256M so that dom0 will try to balloon down

* Sat Nov 12 2005 Jeremy Katz <katzj@redhat.com>
- buildrequire ncurses-devel (reported by Justin Dearing)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.2
- actually enable the initscripts

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.1
- udev rules moved

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5
- update to current -unstable
- add patches to fix pygrub 

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051108.fc5
- update to current -unstable

* Fri Oct 21 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051021.fc5
- update to current -unstable

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20050912.fc5.1
- doesn't require twisted anymore

* Mon Sep 12 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050912.fc5
- add /var/{lib,run}/xenstored to the %files section (#167496, #167121)
- upgrade to today's Xen snapshot
- some small build fixes for x86_64
- enable x86_64 builds

* Thu Sep  8 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050908
- explicitly call /usr/sbin/xend from initscript (#167407)
- add xenstored directories to spec file (#167496, #167121)
- misc gcc4 fixes 
- spec file cleanups (#161191)
- upgrade to today's Xen snapshot
- change the version to 3.0-0.<date> (real 3.0 release will be 3.0-1)

* Mon Aug 23 2005 Rik van Riel <riel@redhat.com> 2-20050823
- upgrade to today's Xen snapshot

* Mon Aug 15 2005 Rik van Riel <riel@redhat.com> 2-20050726
- upgrade to a known-working newer Xen, now that execshield works again

* Mon May 30 2005 Rik van Riel <riel@redhat.com> 2-20050530
- create /var/lib/xen/xen-db/migrate directory so "xm save" works (#158895)

* Mon May 23 2005 Rik van Riel <riel@redhat.com> 2-20050522
- change default display method for VMX domains to SDL

* Fri May 20 2005 Rik van Riel <riel@redhat.com> 2-20050520
- qemu device model for VMX

* Thu May 19 2005 Rik van Riel <riel@redhat.com> 2-20050519
- apply some VMX related bugfixes

* Mon Apr 25 2005 Rik van Riel <riel@redhat.com> 2-20050424
- upgrade to last night's snapshot

* Fri Apr 15 2005 Jeremy Katz <katzj@redhat.com>
- patch manpath instead of moving in specfile.  patch sent upstream
- install to native python path instead of /usr/lib/python
- other misc specfile duplication cleanup

* Sun Apr  3 2005 Rik van Riel <riel@redhat.com> 2-20050403
- fix context switch between vcpus in same domain, vcpus > cpus works again

* Sat Apr  2 2005 Rik van Riel <riel@redhat.com> 2-20050402
- move initscripts to /etc/rc.d/init.d (Florian La Roche) (#153188)
- ship only PDF documentation, not the PS or tex duplicates

* Thu Mar 31 2005 Rik van Riel <riel@redhat.com> 2-20050331
- upgrade to new xen hypervisor
- minor gcc4 compile fix

* Mon Mar 28 2005 Rik van Riel <riel@redhat.com> 2-20050328
- do not yet upgrade to new hypervisor ;)
- add barrier to fix SMP boot bug
- add tags target
- add zlib-devel build requires (#150952)

* Wed Mar  9 2005 Rik van Riel <riel@redhat.com> 2-20050308
- upgrade to last night's snapshot
- new compile fix patch

* Sun Mar  6 2005 Rik van Riel <riel@redhat.com> 2-20050305
- the gcc4 compile patches are now upstream
- upgrade to last night's snapshot, drop patches locally

* Fri Mar  4 2005 Rik van Riel <riel@redhat.com> 2-20050303
- finally got everything to compile with gcc4 -Wall -Werror

* Thu Mar  3 2005 Rik van Riel <riel@redhat.com> 2-20050303
- upgrade to last night's Xen-unstable snapshot
- drop printf warnings patch, which is upstream now

* Wed Feb 23 2005 Rik van Riel <riel@redhat.com> 2-20050222
- upgraded to last night's Xen snapshot
- compile warning fixes are now upstream, drop patch

* Sat Feb 19 2005 Rik van Riel <riel@redhat.com> 2-20050219
- fix more compile warnings
- fix the fwrite return check

* Fri Feb 18 2005 Rik van Riel <riel@redhat.com> 2-20050218
- upgrade to last night's Xen snapshot
- a kernel upgrade is needed to run this Xen, the hypervisor
  interface changed slightly
- comment out unused debugging function in plan9 domain builder
  that was giving compile errors with -Werror

* Tue Feb  8 2005 Rik van Riel <riel@redhat.com> 2-20050207
- upgrade to last night's Xen snapshot

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201.1
- move everything to /var/lib/xen

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201
- upgrade to new upstream Xen snapshot

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com>
- add buildreqs on python-devel and xorg-x11-devel (strange AT nsk.no-ip.org)

* Mon Jan 24 2005 Rik van Riel <riel@redhat.com> - 2-20050124
- fix /etc/xen/scripts/network to not break with ipv6 (also sent upstream)

* Fri Jan 14 2005 Jeremy Katz <katzj@redhat.com> - 2-20050114
- update to new snap
- python-twisted is its own package now
- files are in /usr/lib/python now as well, ugh.

* Tue Jan 11 2005 Rik van Riel <riel@redhat.com>
- add segment fixup patch from xen tree
- fix %files list for python-twisted

* Mon Jan 10 2005 Rik van Riel <riel@redhat.com>
- grab newer snapshot, that does start up
- add /var/xen/xend-db/{domain,vnet} to %files section

* Thu Jan  6 2005 Rik van Riel <riel@redhat.com>
- upgrade to new snapshot of xen-unstable

* Mon Dec 13 2004 Rik van Riel <riel@redhat.com>
- build python-twisted as a subpackage
- update to latest upstream Xen snapshot

* Sun Dec  5 2004 Rik van Riel <riel@redhat.com>
- grab new Xen tarball (with wednesday's patch already included)
- transfig is a buildrequire, add it to the spec file

* Wed Dec  1 2004 Rik van Riel <riel@redhat.com>
- fix up Che's spec file a little bit
- create patch to build just Xen, not the kernels

* Wed Dec 01 2004 Che
- initial rpm release
